# Generated by Django 2.2 on 2019-06-07 13:39

import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('frontend', '0001_initial'),
        ('images', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SectionTestCase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='frontend.Project')),
            ],
        ),
        migrations.CreateModel(
            name='TestCase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=30)),
                ('section', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='testcases.SectionTestCase')),
            ],
        ),
        migrations.CreateModel(
            name='TestCaseStep',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order', models.IntegerField()),
                ('stepType', models.CharField(choices=[('write', 'Write'), ('click', 'Click'), ('keys', 'Keys')], default='write', max_length=10)),
                ('description', models.CharField(max_length=300)),
                ('keys', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True, max_length=15), size=5)),
                ('content', models.CharField(max_length=300)),
                ('image', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='images.Image')),
                ('testCase', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='testcases.TestCase')),
            ],
        ),
    ]
